:root{
  --background-color: white;
  --yellow: #fad75a;
  --paragraph-text: rgb(114, 128, 140);
  --link-color: #68a4c4;
  --link-color-hover: rgba(31, 123, 204);
  --transition: all 0.25s cubic-bezier(0.645,0.045,0.355,1);
}

* {
  padding: 0;
  margin: 0;
}

html,
body {
  /* #f7f3f3 */
  height: 100%;
  font-family: 'roboto';
  background-color: var(--background-color);
  scroll-behavior: smooth;
  position: relative;
}

a:hover, a:visited, a:link, a:active{
  text-decoration: none;
}

/* navbar starts here */
.navbar {
  transition: all 0.4s;
  
}

.nav-class{
  padding: 0 2rem 0 2rem;
}

/* Change navbar styling on scroll */
.navbar.active {
  background: rgb(31, 123, 204);
  box-shadow: 1px 2px 10px rgba(0, 0, 0, 0.1);
}

.nav-link {
  color: white !important;
}
.nav-link.active,
.nav-link:hover {
  color: var(--yellow) !important;
  transition: var(--transition);
}

.navbar-collapse > ul > li{
  padding: 0 .5rem 0 .5rem;
}

/* Change navbar styling on small viewports */
@media (max-width: 991.98px) {
  .navbar {
    background: rgb(31, 123, 204);
  }
  .navbar-collapse > ul {
    text-align: center;
  }
}

@media (max-width: 767px){
  .reverse{
    flex-direction: column-reverse;
  }
  .project-container{
    margin-bottom: 3rem !important;
  }
  .service-card{
    margin-top: 1rem;
    margin-bottom: 1rem;
   
    
  }
  .project-content{
    margin-top: 1rem;
    margin-bottom: 1rem;
    
  }
  .project-cover{
    margin-top: 1rem;
    margin-bottom: 1rem;
    
  }
  .landing-image{
    padding-top: 3rem !important;
  }

}
p,
li,
.text-change {
  color: var(--paragraph-text);
}
/* stop here for nav bar  */

.banner {
  height: 100vh;
  background-repeat: no-repeat;
  background-image: url(../images/banner.svg);
  -webkit-background-size: cover;
  -moz-background-size: cover;
  -o-background-size: cover;
  background-size: cover;
  overflow: hidden !important;
  
}

.navbar-brand {
  font-family: 'Pacifico', cursive;
  font-size: 27px;
}

.resize {
  height: 4rem;
  width: auto;
  
}



.text-color {
  color: rgba(31, 123, 204);
}

.about-me{
  padding-top: 4rem;
  padding-bottom: 4rem;
  
}

.skills{
  display: grid;
  grid-template-columns: repeat(2, minmax(140px, 200px));
  padding: 0px;
  margin: 0;

  list-style: none
  
}

.skills > li::before{
  content: '»';
  left: 0px;
  margin-right: .5rem;
  line-height: 12px;
  color: var(--link-color);
}

.submit-button {
  color: white;
  border: solid;
  border-width: 2px;
  border-color: #9fcffc;
}

.submit-button:hover {
  background: white;
  color: #007fd3;
  border-color: white;
}

textarea {
  resize: none;
}

.contact {
  max-width: 600px;
  display: block;
  margin: 0 auto;
  
}

.contactLinks {
  text-align: center;
  display: block;
  margin: 0 auto;
  margin-top: 3%;
}

.hello{
  color: var(--link-color);
}

.in-touch{
  color: var(--link-color);
  transition: var(--transition);
}

.in-touch:hover{
  color: var(--link-color-hover);
}

.section-margin {
  margin-top: 6rem;
  margin-bottom: 6rem;
  
}
.cards{
  padding: 1rem
}

.service-card {
  -webkit-box-shadow: 1px 1px 10px .5px rgba(0, 0, 0, 0.09);
  -moz-box-shadow: 1px 1px 10px .5px rgba(0, 0, 0, 0.09);
  box-shadow: 1px 1px 10px .5px rgba(0, 0, 0, 0.1);
  padding-top: 2rem;
  padding-bottom: 2rem;
  border-radius: 5px;
  border: solid;
  border-color: #E6ECF8;
  border-width: 1px;
  
}

.projects{
  padding: 4rem 1rem 4rem 1rem;
  
}

.project-name{
  color:  var(--link-color);
  transition: var(--transition);
}

.project-name:hover{
  color: var(--link-color-hover);
}

.project-title {
  margin-top: 3rem;
  margin-bottom: 4rem;
}

.project-title h2 {
  padding-bottom: 15px;
  position: relative;
  
}

.project-title > h2::before {
  content: '';
  position: absolute;
  display: block;
  width: 120px;
  height: 1px;
  background: #ddd;
  bottom: 1px;
  left: calc(50% - 60px);
}

.project-title > h2::after {
  content: '';
  position: absolute;
  display: block;
  width: 40px;
  height: 3px;
  background: #68a4c4;
  bottom: 0;
  left: calc(50% - 20px);
}


.project-image {
  position: relative;
  width: 100%;
  border-radius: 0.9%;
  -webkit-box-shadow: 10px 10px 15px rgba(0, 0, 0, 0.15);
  -moz-box-shadow: 10px 10px 15px rgba(0, 0, 0, 0.15);
  box-shadow: 10px 10px 15px rgba(0, 0, 0, 0.15);
  transition: transform .5s;
  
}



.project-image:hover{
  transform: translateY(-10px);
}

.project-content {
  display: inline-flex;
  flex-wrap: wrap;
  align-content: center;
}

.project-container{
 margin-bottom: 9rem;
}

.project-tech-list {
  display: flex;
  flex-wrap: wrap;
  position: relative;
  z-index: 2;
  padding: 0px;
  list-style: none;
  margin-bottom: px;
}

.project-tech-list > li {
  margin-top: 10px;
  margin-right: 20px;
}

.project-tech-list > li {
  border-width: 1px;
  border-color: rgb(31, 123, 204);
  border-style: solid;
  padding: 3px 10px 3px 10px;
  border-radius: 4px;
  color: rgb(31, 123, 204);
}

.project-icons {
  display: flex;
  -webkit-box-align: center;
  align-items: center;
  position: relative;
}

.project-icon:hover {
  fill: var(--link-color-hover);
}

.project-icon {
  transition: var(--transition);
  height: 1.5rem;
  width: 1.5rem;
  fill: var(--link-color);
}

.project-icons > a {
  display: flex;
  -webkit-box-pack: center;
  justify-content: center;
  -webkit-box-align: center;
  align-items: center;
  padding-right: 10px;
}

/* right side of project*/
.right .project-icons > a {
  padding-right: 0;
  padding-left: 10px;
}

.right .project-tech-list > li {
  margin-right: 0;
  margin-left: 20px;
}

.right div {
  display: flex;
  justify-content: flex-end;  
  text-align: end;
}

/* for h3 */
.right{ 
  justify-content: flex-end;  
}

.project-banner > p{
  margin-bottom: 0;
}

.footer{
  background-color: #007fd3;
  color: #9fcffc;}

.form-text{
  color: var(--yellow) ;
}

.contact-title > h2::before {
  content: '';
  position: absolute;
  display: block;
  width: 120px;
  height: 1px;
  background: #9fcffc;
  bottom: 1px;
  left: calc(50% - 60px);
}

.contact-title > h2::after {
  content: '';
  position: absolute;
  display: block;
  width: 40px;
  height: 3px;
  background: white;
  bottom: 0;
  left: calc(50% - 20px);
}

.contact-title h2 {
  padding-bottom: 15px;
  position: relative;
  color: white !important;
}

.contact-link{
  border: solid;
  border-color: #9fcffc;
  border-radius: 100%;
  border-width: 2px;
  position: relative;
  transition: all 0.3s;
  height: 3.5rem;
  width: 3.5rem;
  fill: #9fcffc;
  padding: 10px;
}


.contact-link:hover {
  fill: #007fd3;
  border-color: white;
  background-color: white;
}

.contact-icons > a{
  padding-top: 20px;
  padding-left: 10px;
  padding-right: 10px;
  display: inline-flex;
  -webkit-box-pack: center;
  justify-content: center;
  -webkit-box-align: center;
  align-items: center;
}

.contact-form{
  padding: 3rem 1rem 0 1rem;
}

#contact{
  padding: 3rem 0 1rem 0;
}

.credits{
  padding-top: 20px;
  padding-bottom: 20px;
  text-align: center;
}

footer{
  padding-top: 1px;
  padding-bottom: 1px;
}

.zero-opacity{
  opacity: 0;
}

@keyframes animation-cards{
  from {
    transform: translateY(-80px);
    opacity: 0;
  }
  to {
    transform: translateY(0);
    opacity: 1;
  }
}

@keyframes animation-projects-from-left{
  from {
    transform: translateX(-50px);
    opacity: 0;
  }
  to {
    transform: translateX(0);
    opacity: 1;
  }
}

@keyframes animation-projects-from-right{
  from {
    transform: translateX(50px);
    opacity: 0;
  }
  to {
    transform: translateX(0);
    opacity: 1;
  }
}

@keyframes animation-contact{
  from {
    transform: translate(0);
    opacity: 0;
  }
  to {
    transform: translate(0);
    opacity: 1;
  }
}




@keyframes float {
	0% {
		transform: translatey(0px);
	}
	50% {
		
		transform: translatey(-20px);
	}
	100% {
	
		transform: translatey(0px);
	}
}

/* lading page */


.landing-image{
  width: 100%;
  margin: 0;
  padding: 0;
  transform: translatey(0px);
	animation: float 4s ease-in-out infinite;
  border: 0 none;
}

.landing-wrapper{
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
  padding: 10rem .5rem 10rem .5rem;
    margin: 0;
}

.landing-text{
  margin: 0;
  padding: 0 3rem 0 3rem;

}
.landing-text h2{
  font-weight: bold;
  font-size: clamp(3rem, -0.875rem + 8.333333vw, 5rem);
  color: white;
;
}

.landing-text h4 {
  color: var(--yellow);
  font-size: 20px;
}

.me{
  width: 100%;
  border-radius: 100% 0% 100% 0% / 25% 75% 25% 75%;
  -webkit-box-shadow: 10px 10px 15px rgba(0, 0, 0, 0.15);
  -moz-box-shadow: 10px 10px 15px rgba(0, 0, 0, 0.15);
  box-shadow: 10px 10px 15px rgba(0, 0, 0, 0.15);
  animation: float 4s ease-in-out infinite;
}

.about-me-text{
  display: flex;
  flex-direction: column;
  align-self: center;
  margin: 2rem 0 2rem 0;
  
}

.me-cover{
  margin: 2rem 0 2rem 0;
  
}

.title-about-me{
  margin-bottom: 2.5rem !important; 
  
}